# addPersonAzure

## Description

Add the personal data of a specific person to the Azure dataset created in Services.

## Input / Parameter

| Name       | Description                                          | Data Type   | Default | Options | Required |
| ---------- | ---------------------------------------------------- | ----------- | ------- | ------- | -------- |
| connector  | The name of the Azure connector created in Services. | String/Text | -       | -       | Yes      |
| groupId    | The id of the group to add the person to.            | String/Text | -       | -       | Yes      |
| personName | The name of the person to add to the group.          | String/Text | -       | -       | Yes      |
| extra      | Additional data to be used in the callbacks.         | Any         | -       | -       | No       |

## Output

N/A

## Callback?

### callback

The function to be executed when the person is successfully added to the Azure dataset.

### errorCallback

The function to be executed when the person is not successfully added to the Azure dataset.

## Video

Coming Soon.

## Example

Coming Soon.

### Steps

Coming Soon.

### Result

Coming Soon.

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/device/addpersonazure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
